2025-12-24 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 10.2.0

2025-12-07 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 10.1.3

2025-10-21 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 10.1.2

2025-10-11 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 10.1.1

2025-08-26 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 10.1.0

2025-07-25 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 10.0.3

2025-05-29 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 10.0.2

2025-04-22 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 10.0.0

2025-03-26 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 9.2.3

2025-02-25 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 9.2.2

2025-02-12 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 9.2.1

2024-12-11 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 9.2.0

2024-11-21 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 9.1.1

2024-09-04 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 9.1.0

2024-06-10 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 9.0.1

2024-04-24 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 9.0.0

2024-04-17 Thomas Orgis <sobukus@sourcemage.org>
	* DEPENDS: add libslirp usage to re-enable user networking
	* DETAILS: ++PATCHLEVEL to make cast pick up the change
	* archs: remove ppc64abi32-linux-user, not available in current configure

2024-03-05 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 8.2.2

2024-01-30 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 8.2.1

2023-12-20 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 8.2.0
	* patches/mmap-mremap-efault.patch: removed, not needed anymore

2023-11-22 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 8.1.3
	* BUILD: use internal libfdt

2023-10-17 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 8.1.2

2023-09-22 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 8.1.1

2023-08-23 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 8.1.0
	* BUILD: removed --meson parameter
	* CONFIGURE, DEPENDS: pipewire is now available as audio backend

2023-08-11 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 8.0.4

2023-06-01 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 8.0.2

2023-04-06 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 7.2.1

2022-08-31 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 7.1.0
	* CONFIGURE, DEPENDS: updated libpng flags

2022-08-24 Pavel Vinogradov <public@sourcemage.org>
	* DEPENDS: refactored audio backends code into for loop with case,
	  JACK -> JACK-DRIVER

2022-08-08 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 7.0.0, bz2 -> xz
	* BUILD: added possible muon build option, made target archs and audio
	  backends comma separated lists
	* CONFIGURE: removed esound and fmod audio backend options, added JACK
	* DEPENDS: removed python3 (MESON_DEPENDS should be enough), added JACK and
	  oss, commented out lzfse (no such spell yet), corrected libxml2 and
	  jemalloc flags

2022-04-23 Ismael Luceno <ismael@sourcemage.org>
	* DEPENDS: switched to MESON_DEPENDS

2021-09-23 Thomas Orgis <sobukus@sourcemage.org>
	* PRE_BUILD: avoid using installed qemu
	* CONFLICTS: remove self-conflict

2021-09-16 Thomas Orgis <sobukus@sourcemage.org>
	* CONFIGURE, PRE_BUILD: drop sound card selection
	* CONFLICTS: need to remove qemu from install until build system
	  is fixed not to pick it up

2021-09-15 Thomas Orgis <sobukus@sourcemage.org>
	* patches/musl-fix-duplicated-sysinfo.patch: fix for glibc
	* DEPENDS: needs libssh, not libssh2
	* BUILD: remove python2 switch

2021-09-10 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: updated spell to 6.1.0
	* DEPENDS: on musl hosts request musl 1.2.2+ (sigevent API)
	  added meson and ninja-build-system
	  added optional deps on: DEVICE-MANAGER, capstone, fuse3, jemalloc,
		libssh2, libxml2, lzfse, sdl2_image, and zstd
	  fixed flags for snappy
	* CONFIGURE, DEPENDS: reworked TLS library dependencies
	* BUILD: added removal of -ffast-math from CFLAGS
	  added --disable-fuse for musl
	* archs: added avr; removed lm32, moxie, tilegx and unicore32
	* patches/musl-F_SHLCK-and-F_EXLCK.patch,
	  patches/musl-fix-duplicated-sysinfo.patch,
	  patches/musl-fix-sigevent-and-sigval_t.patch: removed, no longer needed
	* patches/0006-linux-user-signal.c-define-__SIGRTMIN-MAX-for-non-GN.patch,
	  patches/mmap-mremap-efault.patch: updated for 6.1.0
	* patches/musl-initialize-msghdr.patch: added to fix sendmsg syscall emulation
	* patches/CVE-2021-20255.patch: added security fix
	* DETAILS: SECURITY_PATCH++

2021-09-09 Ismael Luceno <ismael@sourcemage.org>
	* patches/musl-fix-duplicated-sysinfo.patch: fixed for glibc
	* CONFIGURE: added sanitization of QEMU_ARCHS

2020-09-07 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: updated spell to 5.1.0
	  TMPFS=OFF
	* DEPENDS: removed bluez (upstream removed the backend)
	  switched to python3
	  added dependency on usbredir
	* PRE_BUILD: added fix for wrong include of sys/signal.h
	* patches/0006-linux-user-signal.c-define-__SIGRTMIN-MAX-for-non-GN.patch,
	  patches/mmap-mremap-efault.patch,
	  patches/musl-9p-limits_h.patch,
	  patches/musl-F_SHLCK-and-F_EXLCK.patch,
	  patches/musl-fix-SIOCGSTAMPNS.patch,
	  patches/musl-fix-duplicated-sysinfo.patch,
	  patches/musl-fix-sigevent-and-sigval_t.patch:
	  added patches to fix build against musl libc

2019-08-09 Eric Sandall <sandalle@sourcemage.org>
	* These are quick fixes, I need this recompiled for the updated nettle 3.5 that broke compatibility.
	* DEPENDS: Dependencies changed since 2.11
	  Optionally uses gtk+3 >= 3.16 now. gtk+2 is not an option, there is no gtkabi parameter anymore.
	  Use list_find instead of case to more reliably check for "--enable-docs"
	* PRE_BUILD: No pci.mak nor sound.mak, nor are they included, so just write
	  the configs out for now instead of sed, but they do nothing.

2019-05-30 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: updated spell to 4.0.0
	* DEPENDS: removed SDL 1.x, not supported anymore
	* patches/10-glibc-2.27.patch: removed, no longer needed
	* BUILD, CONFIGURE, DEPENDS, INSTALL: Streamlined options
	* archs: Updated supported targets

2018-03-06 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to latest stable 2.11.1
	* patches/10-glibc-2.27.patch: Fix compilation against glibc 2.27
	  See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=891375
	  Also affects qemu 2.10.x
	* PRE_BUILD: Apply patches directory

2017-09-25 Thomas Orgis <sobukus@sourcemage.org>
	* DETAILS: version 2.10.0

2017-06-06 Thomas Orgis <sobukus@sourcemage.org>
	* DETAILS: version 2.9.0

2017-05-19 Thomas Orgis <sobukus@sourcemage.org>
	* INSTALL: Do not replace an existing qemu-system-${ARCH} with the
	  symlink, just in case it was built and I would like to run a VM,
	  for a change.
	* DETAILS: patchlevel for the above, version 2.8.1.1 and
	  SECURITY_PATCH++ for that

2017-04-04 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.8.1
	* INSTALL: Some packages (libguestfs) depend on the qemu-system-${ARCH} file
	  qemu-system-${ARCH} is not made by default by qemu install (since 2.6.x)
	* archs: Remove unicore32

2016-06-29 Eric Sandall <sandalle@sourcemage.org>
	* SUB_DEPENDS, PRE_SUB_DEPENDS: nss dependency moved to libcacard in 2.6.0
	* CONFIGURE, DEPENDS, BUILD: May only have one of nettle or libgcrypt

2016-06-11 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: updated spell to 2.6.0
	* DEPENDS, CONFIGURE: Updated dependencies and flags

2015-05-07 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: updated spell to 2.3.0

2015-04-24 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: PATCHLEVEL=1
	* BUILD: fixed /var/run location

2015-03-23 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: updated spell to 2.2.1

2015-03-09 Ismael Luceno <ismael@sourcemage.org>
	* DEPENDS: Switch to libusb

2014-12-25 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: updated spell to 2.2.0

2014-12-24 Ismael Luceno <ismael@sourcemage.org>
	* BUILD, DEPENDS: Depends on python 2.x

2014-12-04 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.1.2
	* qemu.gpg: Add F108B584 (see
	  https://lists.nongnu.org/archive/html/qemu-devel/2014-04/msg03559.html)
	* docs-Fix-generating-qemu-doc.html-with-texinfo-5.patch: Unused, removed

2014-04-14 Ismael Luceno <ismael@sourcemage.org>
	* BUILD: Pass down ARFLAGS=rv, to workaround buildsystem bug

2013-09-04 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Optionally depends on nss
	* *SUB_DEPENDS: Allow forcing dependency on nss

2013-08-13 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.5.2
	* CONFIGURE: sb16, cs4231a, adlib, and gus sound cards removed
	  Query for Trusted Platform Module (TPM) support
	* DEPENDS: Optionally depends on vte, libaio, libusbx, and spice
	* BUILD: --audio-card-list= removed, modify default-configs/pci.mak (for
	  PCI) and default-configs/sound.mak (for ISA)
	  Pass QEMU_TPM to configure

2013-08-12 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Optionally depends on texinfo for documentation
	* PRE_BUILD: Apply docs-Fix-generating-qemu-doc.html-with-texinfo-5.patch
	* docs-Fix-generating-qemu-doc.html-with-texinfo-5.patch: from https://bugs.launchpad.net/qemu/+bug/1130533

2013-04-16 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.4.1
	  Removed branches, they no longer (even 1.1) compile without work.
	* CONFIGURE: Query for enabling VNC
	* DEPENDS: Optionally depends on libcap-ng
	  Move VNC-specific optional dependencies into a VNC enabled check
	* BUILD: Pass $QEMU_VNC to ./configure
	* PRE_BUILD, cflags.patch, archs-0.15: Removed
	* archs: Updated to 1.4.1 architecture list

2012-08-19 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.1.1-1 (branch 1.1); removed tabs

2012-05-17 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: Fixed branch 1.1 VERSION and SOURCE
	* DETAILS, PREPARE: Added branch 1.1, and renamed 1.00 to 1.0
	* PREPARE: Cut $QEMU_VER at the last dot

2012-02-18 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.0.1

2011-11-02 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.0
	* PREPARE: added 1.00 branch

2011-10-25 Eric Sandall <sandalle@sourcemage.org>
	* PRE_BUILD: cflags.patch is only for 0.15+
	* CONFIGURE: 0.15 adds new architectures not valid for earlier versions
	* archs,archs-0.15: Split into pre-0.15 and 0.15+ versions

2011-10-13 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.15.1

2011-08-30 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: PATCHLEVEL=1
	* BUILD: added sysconfdir path
	* archs: renewed supported archlist

2011-08-17 Vlad Glagolev <stealth@sourcemage.org>
	* PRE_BUILD: added, to apply the patch
	* cflags.patch: added, to fix compilation on i486 (missing space in flags)

2011-08-11 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: added 0.15 branch; dropped 0.10 and 0.11 support as per
	  offsite; corrected mirrors for different branches; use only upstream
	  gpg keycheck
	* BUILD: removed deprecated limitations
	* DEPENDS: keep case selector from 0.12 up to the latest branch
	* PREPARE: made 0.15 default
	* CONFIGURE: corrected sound card selection per branch

2011-07-28 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 0.14.1

2011-03-02 Julien "_kaze_" ROZO <julien@rozo.org>
	* PREPARE, DETAILS: added 0.14 branch, now used if nothing else is selected
	* CONFIGURE: added hda audio device for 0.14 branch

2011-01-19 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* INSTALL: Install /usr/bin/qemu-kvm to allow virt-manager (and other
	  QEMU using apps) to "detect" that KVM hardware acceleration is available

2010-12-17 Bor Kraljič <pyrobor@ver.si>
	* PREPARE,CONFIGURE,DETAILS: added 0.13 branch

2010-08-03 Eric Sandall <sandalle@sourcemage.org>
	* PROVIDES: qemu and kvm now provide QEMU functionality

2010-07-23 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.12.5

2010-07-10 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Use 0.12 (latest stable) if nothing selected
	* PREPARE: List 0.12 first (default, latest stable)
	* DEPENDS: Depend on alsa-lib if ALSA is selected in QEMU_AUDIO
	  Depend on sdl if SDL is selected in QEMU_AUDIO
	  Depend on pulseaudio if PulseAudio is selected in QEMU_AUDIO
	  Depend on esound if ESD is selected in QEMU_AUDIO

2010-06-13 Donald Johnson <minozake@codemages.net>
	* DETAILS: Changed to mirror of qemu's sources, since all downloads seem to
	have moved.

2010-06-03 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated 0.12 branch to 0.12.4; killed dead source url

2010-03-21 Vasil Yonkov <spirtbrat@sourcemage.org>
	* DETAILS: updated QEMU_VER=0.12 to 0.12.3

2010-02-10 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Check only the branch of QEMU_VER (at one point it was
	  0.10.6, now it's 0.10)
	* PREPARE: Fix old invalid value of QEMU_TEST

2010-02-03 Vasil Yonkov <spirtbrat@sourcemage.org>
	* BUILD, DEPENDS, DETAILS, PREPARE: made QEMU_VER referring to
	  a branch, not to a concrete version
	* DETAILS: added a default version

2010-01-20 Vasil Yonkov <spirtbrat@sourcemage.org>
	* DETAILS, DEPENDS, PREPARE: added versions 0.11.1 and 0.12.2
	* BUILD: the build fails only when kqemu support is enabled
	* CONFIGURE: added queries for supported audio systems
	  and emulated audio cards, added option for KVM support
	* DEPENDS: added options for ncurses, gnutls, curl, LIBSASL,
	  bridge-utils, iproute2

2009-08-15 Arjan Bouter <abouter@sourcemage.org>
        * DEPENDS: use BLUEZ provider

2009-07-31 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.10.6

2009-05-22 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.10.5

2009-05-13 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.10.4

2009-05-02 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.10.3

2009-04-07 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.10.2

2009-03-22 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.10.1; added 1 mirror; fixed desc

2009-03-10 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: changed configure flag for video output

2009-03-07 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: 0.10.0; switched to upstream pgp key; cleaned up
	* DEPENDS: sdl _is_ optional; gcc dep is useless; added missing deps;
	  cleaned up
	* BUILD, CONFIGURE: cleaned up
	* PRE_BUILD: removed
	* archs: updated arch specs

2008-06-15 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: new url & website

2008-02-11 Thomas Orgis <sobukus@sourcemage.org>
	* DEPENDS: No --enable-kqemu! The custom configure script does only know the disable.

2008-01-19 Pol Vinogradov <vin.public@gmail.com>
	* DETAILS: updated to 0.9.1
	* BUILD: fixed configure's options

2007-04-11 Elisamuel Resto <ryuji@mages.ath.cx>
	* BUILD: prescott arch was added recently, wasn't getting filtered. Related to bug 13596

2007-04-07 David Brown <dmlb2000@gmail.com>
	* CONFLICTS: added conflicts with kvm

2007-03-24 Thomas Orgis <sobukus@sourcemage.org>
	* BUILD: a refinement: reduce athlons to k6-3 as that works, too, and
	  performs better than pentium-mmx for these cpus

2007-03-17 Thomas Orgis <sobukus@sourcemage.org>
	* BUILD: more general CFLAGS fixup to reduce more stuff to pentium-mmx and fix bug 13596

2007-02-25 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* BUILD: also remove -march=athlon-xp from CFLAGS for MMU
	  use grep instead of list_find, the api was changed in devel sorcery

2007-02-18 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Disable PIC (with disable_pic) if building soft MMU targets
	  pentium4 breaks soft MMU, downgrade to pentium-mmx if building MMU

2007-02-16 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: kqemu is no longer restricted to z-rejected

2007-02-15 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 0.9.0
	* DEPENDS: Pass disable/enable flags for kqemu
	* BUILD: Use default_build, pass --target-list to OPTS
	* archs: Alphabetize list
	  All *-user targets are now called *-linux-user
	  Added m68k-linux-user target
	  {i386,arm,mips,mipsel,ppc,sparc,x86_64}-softmmu fail to compile,
	  so removing from the list.

2006-10-14 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* archs: added new targets #13159 and unified formatting
	* DETAILS: ++PATCHLEVEL

2006-09-13 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Optionally depends on kqemu for acceleration kernel module
	  Optionally depends on alsa-lib
	* CONFLICTS: No longer conflicts with qemu
	* BUILD: Use INSTALL_ROOT

2006-08-19 Bearcat M. Sandor <sourcemage@feline-soul.com>
	* DETAILS: Updated to 0.8.2

2006-06-28 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Removed BUILD_API=2, set grimoire-wide

2006-06-23 David Brown <dmlb2000@gmail.com>
	* BUILD: didn't have an escape char on the end of line
	  to include $OPTS with configure

2006-06-21 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DETAILS: added GCC_VERSION, updated spell to 0.8.1
	* BUILD: removed invoke_gcc
	* PRE_BUILD: created for invoke_gcc
	* CONFIGURE: added query for unattended processing, #10732
	  thanks to Andreas van Ruth for the initial patch

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-02-01 David Kowis <dkowis@sourcemage.org>
	* CONFLICTS: made it conflict with kqemu

2006-01-10 anoxia <anoxia@sourcemage.org>
	* DETAILS: updated spell to 0.8.0

2005-11-19 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: fixed wrong quoting in SHORT

2005-11-05 George Sherwood <george@beernabeer.com>
	* DETAILS: Added SOURCE_HASH checking
	* CONFIGURE: Change selection to dialog
	* BUILD: Default_build won't work with the target-list

2005-11-02 Andreas van Ruth <avr@gnulinux.nl>
	* BUILD, DEPENDS, DETAILS, HISTORY: created

